package com.bsf.lovDemo.util;

import com.bsf.lovDemo.util.help.HelpNode;
import com.bsf.lovDemo.views.DemoFrame;
import com.jgoodies.swing.application.Workbench;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

/**
 * HelpSelectionMouseListener
 */
public class HelpSelectionMouseListener extends MouseAdapter {
    private HelpNode _nodeToSelect = null;

    public HelpSelectionMouseListener( HelpNode p_nodeToSelect ) {
        super();

        _nodeToSelect = p_nodeToSelect;
    }

    public void mouseEntered( MouseEvent e ) {
        if ( _nodeToSelect != null ) {
            ( (DemoFrame) Workbench.getMainFrame() ).setDisplayedHelpNodeInHelpContent( _nodeToSelect );
        }
    }
}
